ur_rna.Utilities

## Class AppInfo

- java.lang.Object
- - ur_rna.Utilities.AppInfo

-     public class AppInfo
      extends java.lang.Object

  Provides information on the current running application.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `AppInfo.AnnotationAppInfoProvider`
    `static interface` | `AppInfo.AppInfoProvider`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static java.lang.String` | `appName`
    `private static java.lang.String` | `appTitle`
    `private static Version` | `appVersion`
    `private static java.lang.Class<?>` | `mainClass`
    `private static AppInfo.AppInfoProvider` | `provider`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AppInfo()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getAppName()`
    `static java.lang.String` | `getAppTitle()`
    `static Version` | `getAppVersion()`
    `static java.lang.Class<?>` | `getMainClass()`
    `static AppInfo.AppInfoProvider` | `getProvider()` Attempts to get the AppInfoProvider that has been registered for this application.
    `static void` | `setAppName(java.lang.String name)`
    `static void` | `setAppTitle(java.lang.String title)`
    `static void` | `setMainClass(java.lang.Class<?> c)`
    `static void` | `setProvider(AppInfo.AppInfoProvider p)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### appName

          private static java.lang.String appName

    - #### appTitle

          private static java.lang.String appTitle

    - #### appVersion

          private static Version appVersion

    - #### mainClass

          private static java.lang.Class<?> mainClass

    - #### provider

          private static AppInfo.AppInfoProvider provider

  - ### Constructor Detail

    - #### AppInfo

          public AppInfo()

  - ### Method Detail

    - #### getAppName

          @NotNull
          public static java.lang.String getAppName()

    - #### getAppTitle

          @NotNull
          public static java.lang.String getAppTitle()

    - #### getAppVersion

          @NotNull
          public static Version getAppVersion()

    - #### getMainClass

          public static java.lang.Class<?> getMainClass()

    - #### getProvider

          @NotNull
          public static AppInfo.AppInfoProvider getProvider()

      Attempts to get the AppInfoProvider that has been registered for this application. If one has not been registered, it attempts to get one by calling `getAppInfo()` on the application's main class (if it exists). Otherwise a default AppInfoProvider is created and returned. This default provides no valuable information, so it is suggested that each application registers its own AppInfoProvider in main().

    - #### setAppName

          public static void setAppName(java.lang.String name)

    - #### setAppTitle

          public static void setAppTitle(java.lang.String title)

    - #### setMainClass

          public static void setMainClass(java.lang.Class<?> c)

    - #### setProvider

          public static void setProvider(AppInfo.AppInfoProvider p)